@echo OFF
echo.

SET    Choose=
SET /P Choose="Are you sure that you want to clean directory %~dp0 ? (Y/N) "

if %Choose% == Y   goto begin
if %Choose% == y   goto begin
if %Choose% == YES goto begin
if %Choose% == yes goto begin
if %Choose% == Yes goto begin

if %Choose% == N   goto end
if %Choose% == n   goto end
if %Choose% == NO  goto end
if %Choose% == no  goto end
if %Choose% == No  goto end

:begin

if exist *.bak  del *.bak
if exist *.out  del *.out
if exist *.exe  del *.exe
if exist *.tmp  del *.tmp
if exist *.exp  del *.exp
if exist *.lst  del *.lst
if exist *.gen  del *.gen
if exist *.dmp  del *.dmp
if exist *.log  del *.log
if exist *.c    del *.c
if exist *.gz   del *.gz
if exist *.smg  del *.smg
if exist *.prof del *.prof
if exist *.png  del *.png

if exist Output\*.out  del  Output\*.out

echo Directory %~dp0 is cleaned
echo.

:end
